MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025719Community[OCCT] OCCT:Modeling Algorithmspublic2015-01-19 18:142015-05-26 10:13
ReporterIstvan Csanady 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025719: Boolean operations can crash
DescriptionIn special circumstances, boolean operations can crash. See the forum topic here: http://dev.opencascade.org/index.php?q=node/1048 [^]

I could reproduce it with the attached file, but because of the nature of the problem, it may not be reproducible always. The repro requires OS X (because of the dispatch API).
Fix is attached.
Steps To Reproducenot applicable
Additional information
and documentation updates
Class math_BFGS does not call Perform() in its constructor any more; it must be called explicitly.
TagsNo tags attached.
Test case numberNot needed
Attached Fileszip file icon fix_and_repro.zip (5,082 bytes) 2015-01-19 18:14

- Relationships
related to 0025720closedbugmaster Open CASCADE Incorrect code of math classes can lead to unpredicted behavior of algorithms 

-  Notes
(0036222)
msv (developer)
2015-01-19 20:13

The patch is incomplete. It misses changes in the package AppParCurves connected with changes in API of math_BFGS.
(0036223)
git (administrator)
2015-01-19 20:35

Branch CR25719 has been created by msv.

SHA-1: 56fb79d1470df05a3f18801a11dbc04f6815cc6c


Detailed log of new commits:

Author: msv
Date: Mon Jan 19 20:34:52 2015 +0300

    0025719: Boolean operations can crash
    
    Suppress math_BFGS constructor that calls the method Perform that in its turn calls the virtual method IsSolutionReached.
(0036224)
msv (developer)
2015-01-19 20:38

I have completed the patch.
Andrey, please review the branch CR25719.
(0036225)
abv (manager)
2015-01-19 21:57

math_GlobOptMin.cxx, line 143: indentation is broken
(0036226)
abv (manager)
2015-01-19 21:58

Reviewed, please test
(0036232)
Istvan Csanady (developer)
2015-01-20 09:51

Sorry for the incomplete patch, I accidentally made the changes in the copied file.
(0036234)
git (administrator)
2015-01-20 10:02

Branch CR25719 has been updated by msv.

SHA-1: 410528df78e3ef9b726368d1ae8c20b8a69bfbbe


Detailed log of new commits:

Author: msv
Date: Tue Jan 20 10:01:53 2015 +0300

    Correct indentation.

(0036235)
msv (developer)
2015-01-20 10:02

Dear bugmaster, please test.
(0036445)
apn (administrator)
2015-01-23 15:25

Dear BugMaster,
Branch CR25719 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms in Release mode.
SHA-1: 410528df78e3ef9b726368d1ae8c20b8a69bfbbe

There is compilation error on PRODUCTS:
Linux:
../../../../src/BestFitAPI/BestFitAPI_Algo.cxx:644: error: no matching function for call to ‘math_BFGS::math_BFGS(BestFitAlgo_Function&, math_Vector&, Standard_Real&, const Standard_Integer&)’
WNT:
..\..\..\src\BestFitAPI\BestFitAPI_Algo.cxx(644): error C2664: 'math_BFGS::math_BFGS(const Standard_Integer,const Standard_Real,const Standard_Integer,const Standard_Real)' : cannot convert parameter 1 from 'BestFitAlgo_Function' to 'const Standard_Integer'
(0036465)
git (administrator)
2015-01-23 18:19

Branch CR25719 has been updated forcibly by msv.

SHA-1: bb50c47cac355c06040675f63235999dfe153cb7
(0036466)
msv (developer)
2015-01-23 18:23

Andrey, I have fixed compilation error. The new branch CR25719 is created in occt-products.
I also re-based the branch CR25719 in occt on current master.
(0036669)
apn (administrator)
2015-01-26 17:55

Dear BugMaster,
Branch CR25719 from occt git-repository (and CR25719 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested in Release mode.
SHA-1: bb50c47cac355c06040675f63235999dfe153cb7

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 369670892 / 370114884
Total CPU difference: 53685.890000000196 / 51750.710000000094

Testing on Windows:
Total MEMORY difference: 275634060 / 275769192
Total CPU difference: 51731.6875 / 38148.296875

There are not differences in images found by testdiff.
(0038563)
git (administrator)
2015-03-18 13:36

Branch CR25719 has been deleted by inv.

SHA-1: bb50c47cac355c06040675f63235999dfe153cb7

- Related Changesets
occt: master 07f1a2e6
Timestamp: 2015-01-23 15:07:15
Author: msv
Committer: bugmaster
Details ] Diff ]
0025719: Boolean operations can crash

Suppress math_BFGS constructor that calls the method Perform that in its turn calls the virtual method IsSolutionReached.
mod - src/AppParCurves/AppParCurves_BSpGradient_BFGS.gxx Diff ] File ]
mod - src/AppParCurves/AppParCurves_Gradient_BFGS.gxx Diff ] File ]
mod - src/math/math_BFGS.cdl Diff ] File ]
mod - src/math/math_BFGS.cxx Diff ] File ]
mod - src/math/math_GlobOptMin.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-19 18:14 Istvan Csanady New Issue
2015-01-19 18:14 Istvan Csanady Assigned To => msv
2015-01-19 18:14 Istvan Csanady File Added: fix_and_repro.zip
2015-01-19 20:13 msv Note Added: 0036222
2015-01-19 20:35 git Note Added: 0036223
2015-01-19 20:38 msv Note Added: 0036224
2015-01-19 20:38 msv Assigned To msv => abv
2015-01-19 20:38 msv Status new => resolved
2015-01-19 20:38 msv Steps to Reproduce Updated View Revisions
2015-01-19 21:01 msv Relationship added related to 0025720
2015-01-19 21:57 abv Note Added: 0036225
2015-01-19 21:58 abv Additional Information Updated View Revisions
2015-01-19 21:58 abv Note Added: 0036226
2015-01-19 21:58 abv Assigned To abv => bugmaster
2015-01-19 21:58 abv Status resolved => reviewed
2015-01-20 09:51 Istvan Csanady Note Added: 0036232
2015-01-20 10:02 git Note Added: 0036234
2015-01-20 10:02 msv Note Added: 0036235
2015-01-22 13:47 apn Test case number => Not needed
2015-01-22 13:47 apn Assigned To bugmaster => apn
2015-01-23 15:25 apn Note Added: 0036445
2015-01-23 15:25 apn Assigned To apn => msv
2015-01-23 15:25 apn Status reviewed => assigned
2015-01-23 18:19 git Note Added: 0036465
2015-01-23 18:23 msv Note Added: 0036466
2015-01-23 18:23 msv Assigned To msv => apn
2015-01-23 18:23 msv Status assigned => resolved
2015-01-23 18:23 msv Status resolved => reviewed
2015-01-26 17:55 apn Note Added: 0036669
2015-01-26 17:56 apn Assigned To apn => bugmaster
2015-01-26 17:56 apn Status reviewed => tested
2015-01-30 14:00 bugmaster Changeset attached => occt master 07f1a2e6
2015-01-30 14:00 bugmaster Status tested => verified
2015-01-30 14:00 bugmaster Resolution open => fixed
2015-03-18 13:36 git Note Added: 0038563
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0
2015-05-26 10:13 abv Relationship added parent of 0026266


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker